Name:           ovaldi
Version:        5.3
Release:        6%{?dist}
Summary:        Reference implementation of the OVAL interpreter

Group:          Applications/System
License:        BSD
URL:            http://oval.mitre.org/language/download/interpreter/index.html
Source0:        http://oval.mitre.org/language/download/interpreter/version%{version}/interpreters.src-%{version}.tbz2
Patch0:         ovaldi-5.3-respin20080115.patch.gz
Patch1:         ovaldi-5.3-gcc43.patch
Patch2:         ovaldi-5.3-epoch.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pcre-devel xerces-c-devel xalan-c-devel rpm-devel

%description
The OVAL Interpreter is a freely available reference implementation created
to show how information can be collected from a computer for testing, to
evaluate and carry out the OVAL definitions for that platform, and to
report the results of the tests.


%prep
%setup -qn Interpreters
%patch0 -p1 -b .respin20080115
%patch1 -p1 -b .gcc43
%patch2 -p1 -b .epoch


%build
mkdir -p project/linux/Release/obj
# %{?_smp_mflags} can not be used
make -C project/linux CPPFLAGS='%{optflags}'


%install
rm -rf $RPM_BUILD_ROOT

# Directory structure
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/ovaldi
install -d $RPM_BUILD_ROOT%{_mandir}/man1

# Files
install -m 755 project/linux/Release/ovaldi $RPM_BUILD_ROOT%{_bindir}
install -m 644 docs/ovaldi.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 xml/* $RPM_BUILD_ROOT%{_datadir}/ovaldi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/ovaldi
%{_datadir}/ovaldi
%{_mandir}/man1/ovaldi.1*
%doc docs/README.txt docs/terms.txt docs/version.txt


%changelog
* Mon Feb 11 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-6
- Rebuild for newer xerces-c

* Thu Jan 24 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-5
- Make the patch actually apply

* Thu Jan 24 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-4
- Fix handling of epochs

* Thu Jan 17 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-3
- Basically a new upstream release with the same version number

* Thu Jan 03 2008 Lubomir Kundrak <lkundrak@redhat.com> 5.3-2
- Adding missing includes to fix build with gcc-4.3

* Mon Nov 19 2007 Lubomir Kundrak <lkundrak@redhat.com> 5.3-1
- Initial package
